<template>
  <form @submit.prevent="addUser">
    <div>
      <label>Username: </label>
      <input type="text" v-model="username">
    </div>

    <div>
      <strong>Age: </strong>
      <input type="text" v-model="age">
    </div>
    <div>
      <button>Add user</button>
    </div>
  </form>
</template>

<script>

export default {
  emits: {
    'add-user': function(username, age) {
      if (!username) {
        console.warn('Username is missing!')
        return false
      } else if (!age) {
        console.warn('Age is missing!')
        return false
      } else {
        return true
      }
    }
  },
  data() {
    return {
      username: '',
      age: ''
    }
  },
  methods: {
    addUser() {
      this.$emit(
          'add-user',
          this.username,
          this.age
      )
    }
  }
}


</script>

<style scoped>

</style>